Module | Fog::HP
In: | lib/fog/hp.rb

### Methods

authenticate_v1 authenticate_v2 escape

### Classes and Modules

Module Fog::HP::Errors
Class Fog::HP::Mock

### Public Class methods

authenticate_v1(options, connection_options = {})

legacy swauth 1.0/1.1 style authentication

authenticate_v2(options, connection_options = {})

keystone based control services style authentication

escape(str,extra_exclude_chars = '')

CGI.escape, but without special treatment on spaces

[Validate]